Bug 1006692 - [abrt] system-config-printer-1.4.2-1.fc19: newprinter.py:2995:on_entNPTNetworkHostname_changed:TypeError: set_cursor() got an unexpected keyword argument 'cell'
[abrt] system-config-printer-1.4.2-1.fc19: newprinter.py:2995:on_entNPTNetwor...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
abrt_hash:020cde2ae495588e712b1d9139a...
:
Depends On:
Blocks: 1203208
  Show dependency treegraph
 
Reported: 2013-09-11 02:24 EDT by Matt McAdoo
Modified: 2015-03-18 07:56 EDT (History)
2 users (show)

See Also:
Fixed In Version: system-config-printer-1.4.3-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1203208 (view as bug list)
Environment:
Last Closed: 2013-11-06 02:38:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (649 bytes, text/plain)
2013-09-11 02:24 EDT, Matt McAdoo
no flags Details
File: environ (2.96 KB, text/plain)
2013-09-11 02:24 EDT, Matt McAdoo
no flags Details

  None (edit)
Description Matt McAdoo 2013-09-11 02:24:33 EDT
Description of problem:
Trying to add a network printer.  Put in ipp:// network location and the app crashed

Version-Release number of selected component:
system-config-printer-1.4.2-1.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
dso_list:       system-config-printer-libs-1.4.2-1.fc19.noarch
executable:     /usr/share/system-config-printer/system-config-printer.py
kernel:         3.10.10-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
newprinter.py:2995:on_entNPTNetworkHostname_changed:TypeError: set_cursor() got an unexpected keyword argument 'cell'

Traceback (most recent call last):
  File "/usr/share/system-config-printer/newprinter.py", line 2995, in on_entNPTNetworkHostname_changed
    start_editing=False)
TypeError: set_cursor() got an unexpected keyword argument 'cell'

Local variables in innermost frame:
path: <GtkTreePath at 0x200d3b0>
model: <TreeStore object at 0x246a870 (GtkTreeStore at 0x1f16a30)>
ent: <Entry object at 0x1c03320 (GtkEntry at 0x1cf31c0)>
self: <NewPrinterGUI object at 0x19775a0 (newprinter+NewPrinterGUI at 0x19fd560)>
text: 'ipp:192.168.1.4'
Comment 1 Matt McAdoo 2013-09-11 02:24:39 EDT
Created attachment 796265 [details]
File: backtrace
Comment 2 Matt McAdoo 2013-09-11 02:24:47 EDT
Created attachment 796266 [details]
File: environ
Comment 3 Tim Waugh 2013-09-11 07:00:44 EDT
Should be fixed upstream in commit ce23926.
Comment 4 Fedora Update System 2013-10-22 12:55:27 EDT
system-config-printer-1.4.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/system-config-printer-1.4.3-1.fc20
Comment 5 Fedora Update System 2013-10-22 12:57:44 EDT
system-config-printer-1.4.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/system-config-printer-1.4.3-1.fc19
Comment 6 Fedora Update System 2013-10-22 23:30:27 EDT
Package system-config-printer-1.4.3-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.4.3-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19726/system-config-printer-1.4.3-1.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-11-06 02:38:58 EST
system-config-printer-1.4.3-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-11-10 02:43:57 EST
system-config-printer-1.4.3-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.